image: docker:19.03.0

stages:
  - build
  - tooling
  - fabric
  - nfvi

variables:
  IMAGE_NAME: $CI_REGISTRY_IMAGE/site-specifics
  CONTAINER_BUILD_IMAGE: $CI_REGISTRY_IMAGE/site-specifics:$CI_COMMIT_SHA
  DOCKER_DRIVER: overlay2
  DOCKER_TLS_CERTDIR: ""

services:
  - docker:19.03.0-dind

before_script:
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
  - docker info

build-volume:
  stage: build
  script:
    - docker build -t $CONTAINER_BUILD_IMAGE .
    - docker push $CONTAINER_BUILD_IMAGE
  tags:
    - docker

tooling:
  stage: tooling
  allow_failure: false
  variables:
    TAG: "blabla for tooling"
  trigger:
    project: mwdca/tca/tooling
    strategy: depend

fabric:
  stage: fabric
  allow_failure: false
  trigger:
    project: mwdca/tca/fabric
    strategy: depend

nfvi:
  stage: nfvi
  allow_failure: false
  trigger:
    project: mwdca/tca/nfvi
    strategy: depend

